ServerEvents.recipes(event => {
    event.remove({ output: 'integrateddynamics:mechanical_drying_basin' })
    event.shaped(
        Item.of('integrateddynamics:mechanical_drying_basin'),
        [
            ' A ',
            'BCB',
            ' D '
        ],
        {
            A: 'minecraft:obsidian',
            B: Item.of('integrateddynamics:energy_battery'),
            C: 'integrateddynamics:drying_basin',
            D: 'immersiveengineering:furnace_heater'
        }
    )
    event.remove({ id: 'integrateddynamics:crafting/variable' })
    event.shaped(
        Item.of('integrateddynamics:variable', 4),
        [
            'ABA',
            'BBB',
            'ABA'
        ],
        {
            A: 'integrateddynamics:crystalized_menril_chunk',
            B: 'minecraft:paper'
        }
    )
    event.shaped(
        Item.of('integrateddynamics:variable'),
        [
            'A'
        ],
        {
            A: 'integrateddynamics:variable'
        }
    )
    event.remove({ id: 'integrateddynamics:crafting/energy_battery' })
    event.shaped(
        Item.of('integrateddynamics:energy_battery'),
        [
            'ABA',
            'ACA',
            'ABA'
        ],
        {
            A: 'integrateddynamics:crystalized_menril_chunk',
            B: 'integrateddynamics:crystalized_menril_block',
            C: 'immersiveengineering:capacitor_hv'
        }
    )
    event.remove({ id: 'integrateddynamics:special/part_connector_omni_directional' })
    event.shaped(
        Item.of('integrateddynamics:part_connector_omni_directional',2),
        [
            ' A ',
            'BCB',
            ' A '
        ],
        {
            A: 'integrateddynamics:logic_director',
            B: 'integrateddynamics:part_connector_mono_directional',
            C: [
                'mekanism:teleportation_core',
                'ae2:wireless_receiver'
            ]
        }
    )
})